at.chipkarte.client.bkf.soap

## Class AssessmentInvasiveDiagnostikDoku

- Object
- - at.chipkarte.client.bkf.soap.AssessmentInvasiveDiagnostikDoku

-     public class AssessmentInvasiveDiagnostikDoku
      extends Object

  Enthält die Eingangsdaten zur Assessmentdokumentation der invasiven Diagnostik für den Aufruf der Funktion createAssessmentInvasiveDiagnostikDoku.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AssessmentInvasiveDiagnostikDoku()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnzahlOffenKontraMethode()` Anzahl an durchgeführten offenen Biopsien wegen Kontraindikationen.
    `String` | `getAnzahlOffenMethode()` Anzahl an durchgeführten offenen Biopsien wegen eines unklaren histologischen Befunds.
    `String` | `getAnzahlStanzmethode()` Anzahl an durchgeführten Biopsien mittels Stanzmethode.
    `String` | `getAnzahlVakuummethode()` Anzahl an durchgeführten Biopsien mittels Vakuummethode.
    `String` | `getErgebnisHistologie()` Histologisches Ergebnis.
    `String` | `getErgebnisKlinisch()` Ergebnis klinische Untersuchung.
    `String` | `getInfoDatum()` Datum, ab dem der Befund versand- / abholbereit ist.
    `String` | `getLeistungsanfang()` Beginn der Leistungserbringung.
    `String` | `getSeite()` Betroffene Seite.
    `String` | `getSvNummer()` Sozialversicherungsnummer der Patientin.
    `String` | `getVersionsnummer()` Version der Dokumentation.
    `void` | `setAnzahlOffenKontraMethode(String anzahlOffenKontraMethode)`
    `void` | `setAnzahlOffenMethode(String anzahlOffenMethode)`
    `void` | `setAnzahlStanzmethode(String anzahlStanzmethode)`
    `void` | `setAnzahlVakuummethode(String anzahlVakuummethode)`
    `void` | `setErgebnisHistologie(String ergebnisHistologie)`
    `void` | `setErgebnisKlinisch(String ergebnisKlinisch)`
    `void` | `setInfoDatum(String infoDatum)`
    `void` | `setLeistungsanfang(String leistungsanfang)`
    `void` | `setSeite(String seite)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setVersionsnummer(String versionsnummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AssessmentInvasiveDiagnostikDoku

          public AssessmentInvasiveDiagnostikDoku()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der Patientin.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `createAssessmentInvasiveDiagnostikDoku()` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Format: 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getVersionsnummer

          public String getVersionsnummer()

      Version der Dokumentation.
      Angabe: Muss.
      Mögliche Werte siehe `DokumentationVersionTypConstant`.
      ParameterID: 9003.
      Returns:
        Versionsnummer

    - #### setVersionsnummer

          public void setVersionsnummer(String versionsnummer)

    - #### getLeistungsanfang

          public String getLeistungsanfang()

      Beginn der Leistungserbringung.
      Angabe: Muss.
      Darf nicht in der Zukunft und nicht mehr in der Vergangenheit als das aktuelle Datum - 3 Jahre liegen.
      Format: TT.MM.JJJJ
      ParameterID: 0301
      Returns:
        Leistungsanfang

    - #### setLeistungsanfang

          public void setLeistungsanfang(String leistungsanfang)

    - #### getSeite

          public String getSeite()

      Betroffene Seite.
      Angabe: Muss.
      Mögliche Werte siehe `BetroffeneSeiteTypConstant`.
      ParameterID: 0302
      Returns:
        Seite

    - #### setSeite

          public void setSeite(String seite)

    - #### getErgebnisKlinisch

          public String getErgebnisKlinisch()

      Ergebnis klinische Untersuchung.
      Angabe: Kann.
      Bei Mehrfachnennungen ist der Wert '5' ('sonstiges') auszuwählen.
      Mögliche Werte siehe `ErgebnisKlinischeUntersuchungAIDTypConstant`.
      ParameterID: 0303
      Returns:
        ErgebnisKlinisch

    - #### setErgebnisKlinisch

          public void setErgebnisKlinisch(String ergebnisKlinisch)

    - #### getErgebnisHistologie

          public String getErgebnisHistologie()

      Histologisches Ergebnis.
      Angabe: Muss.
      Mögliche Werte siehe `ErgebnisHistologieAssessmentTypConstant`.
      ParameterID: 0307
      Returns:
        ErgebnisHistologie

    - #### setErgebnisHistologie

          public void setErgebnisHistologie(String ergebnisHistologie)

    - #### getInfoDatum

          public String getInfoDatum()

      Datum, ab dem der Befund versand- / abholbereit ist.
      Angabe: Muss.
      Muss größer oder gleich dem Leistungsdatum und kleiner oder gleich dem aktuellen Datum + 1 Monat sein.
      Format: TT.MM.JJJJ
      ParameterID: 0310.
      Returns:
        InfoDatum

    - #### setInfoDatum

          public void setInfoDatum(String infoDatum)

    - #### getAnzahlStanzmethode

          public String getAnzahlStanzmethode()

      Anzahl an durchgeführten Biopsien mittels Stanzmethode.
      Angabe: Bedingt. Mindestens einer der Anzahlsparameter (AnzahlStanzmethode, AnzahlVakuummethode, AnzahlOffenMethode und AnzahlOffenKontraMethode) muss angegeben werden.
      Format: numerisch, maximal 2-stellig, Wertebereich 1-99.
      ParameterID: 0311.
      Returns:
        AnzahlStanzmethode

    - #### setAnzahlStanzmethode

          public void setAnzahlStanzmethode(String anzahlStanzmethode)

    - #### getAnzahlVakuummethode

          public String getAnzahlVakuummethode()

      Anzahl an durchgeführten Biopsien mittels Vakuummethode.
      Angabe: Bedingt. Mindestens einer der Anzahlsparameter (AnzahlStanzmethode, AnzahlVakuummethode, AnzahlOffenMethode und AnzahlOffenKontraMethode) muss angegeben werden.
      Format: numerisch, maximal 2-stellig, Wertebereich 1-99.
      ParameterID: 0312.
      Returns:
        AnzahlVakuummethode

    - #### setAnzahlVakuummethode

          public void setAnzahlVakuummethode(String anzahlVakuummethode)

    - #### getAnzahlOffenKontraMethode

          public String getAnzahlOffenKontraMethode()

      Anzahl an durchgeführten offenen Biopsien wegen Kontraindikationen.
      Angabe: Bedingt. Mindestens einer der Anzahlsparameter (AnzahlStanzmethode, AnzahlVakuummethode, AnzahlOffenMethode und AnzahlOffenKontraMethode) muss angegeben werden.
      Format: numerisch, maximal 2-stellig, Wertebereich 1-99.
      ParameterID: 0313.
      Returns:
        AnzahlOffenKontraMethode

    - #### setAnzahlOffenKontraMethode

          public void setAnzahlOffenKontraMethode(String anzahlOffenKontraMethode)

    - #### getAnzahlOffenMethode

          public String getAnzahlOffenMethode()

      Anzahl an durchgeführten offenen Biopsien wegen eines unklaren histologischen Befunds.
      Angabe: Bedingt. Mindestens einer der Anzahlsparameter (AnzahlStanzmethode, AnzahlVakuummethode, AnzahlOffenMethode und AnzahlOffenKontraMethode) muss angegeben werden.
      Format: numerisch, maximal 2-stellig, Wertebereich 1-99.
      ParameterID: 0314.
      Returns:
        AnzahlOffenMethode

    - #### setAnzahlOffenMethode

          public void setAnzahlOffenMethode(String anzahlOffenMethode)